#
# spec file for package ampache (Version 3.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ampache
URL:          http://www.ampache.org/
%define apache_serverroot /srv/www
Version:      3.0
Release:      203
Summary:      PHP-based MP3 database web interface
License:      distributable, Other License(s), see package
Group:        Productivity/Networking/Web/Frontends
Autoreqprov:  on
PreReq:       %fillup_prereq
Requires:     http_daemon mod_php
Source:       ampache-v%{version}.tar.bz2
Source1:      httpd.conf.ampache
Source2:      ampache.module
Source3:      ampache.conf.inc
Source4:      sysconfig.apache-ampache
Source5:      README.SuSE
Patch:        ampache-3.0.dif
Patch1:       ampache-3.0-sorting.dif
Patch2:       ampache-3.0-xmlrpc-CAN-2005-1921.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Ampache is a PHP-based tool for managing, updating and playing your MP3
files via a web interface. It allows you to save playlists, create user
accounts, and share your music catalogs with other Ampache servers. It
uses a MySQL database.

Read the README files about configuring ampache.



Authors:
--------
    Scott Kveton & Randall Ehren
    
    Ampache Development Team
    ampache-devel@isber.ucsb.edu

%prep
%setup -n ampache
%patch -p1
%patch1 -p1
%patch2 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
a_root=$RPM_BUILD_ROOT/%{apache_serverroot}/ampache
mkdir -p $a_root 
mkdir -p $RPM_BUILD_ROOT/etc/httpd/modules/
mkdir -p $RPM_BUILD_ROOT/etc/apache2/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp -a $RPM_SOURCE_DIR/README.SuSE .
cp -a bin modules templates docs *.sh $a_root/
cp -p modules/config.php.dist $a_root/modules/config.php
cp -p $RPM_SOURCE_DIR/sysconfig.apache-ampache $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp -p $RPM_SOURCE_DIR/ampache.module 	 $RPM_BUILD_ROOT/etc/httpd/modules/ampache
cp -p $RPM_SOURCE_DIR/httpd.conf.ampache $RPM_BUILD_ROOT/etc/httpd/
cp -p $RPM_SOURCE_DIR/httpd.conf.ampache $RPM_BUILD_ROOT/etc/apache2/conf.d/ampache.conf
cp -p $RPM_SOURCE_DIR/ampache.conf.inc 	 $RPM_BUILD_ROOT/etc/
pushd $a_root
	find . -type d -name CVS -print0 | xargs -0 --no-run-if-empty rm -rf
	find . -type f -print0 | xargs -0 chmod ugo-x
	chmod +x bin/create_genre bin/filefind configure.sh secure.sh
popd

%post
%{fillup_only -an apache}

%files
%defattr(-,root,root)
%doc %attr(644,root,root) CHANGELOG INSTALL README* sql/music.sql
%config(noreplace) %attr(640,root,www) /etc/ampache.conf.inc
%config(noreplace) /etc/httpd/httpd.conf.ampache
/etc/httpd/modules/ampache
%dir /etc/apache2
%dir /etc/apache2/conf.d
%config(noreplace) /etc/apache2/conf.d/ampache.conf
%{apache_serverroot}/ampache
/var/adm/fillup-templates/sysconfig.apache-ampache

%changelog -n ampache
* Mon Jul 18 2005 - poeml@suse.de
- fixed XML RPC command injection, [#95524]/[#94579], CAN-2005-1921
* Fri Sep 19 2003 - poeml@suse.de
- apache configuration:
- fix trailing slash in Alias
- add Directory configuration (needed for apache2, where not
  everything is allowed by default) [#29729]
- install the configuration file also for apache2
- add Requires: http_daemon mod_php
* Thu Aug 14 2003 - poeml@suse.de
- add activation metadata to sysconfig template [#28815]
* Thu Jul 31 2003 - poeml@suse.de
- fix permissions of /etc/ampache.conf.inc to be readable by the
  webserver but not writable, [#21782]
* Fri May 16 2003 - poeml@suse.de
- add patch to improve sorting
- don't package CVS directories
- remove executable flag from most files
* Tue May 13 2003 - poeml@suse.de
- use %%defattr instead of chmod&chown
- modules/config.php doesn't need to be protected
* Thu Feb 27 2003 - poeml@suse.de
- add sysconfig metadata [#22591]
- verify the instructions in README.SuSE and improve them
- improve the apache configuration, and add explaining comments
* Thu Aug 01 2002 - poeml@suse.de
- fix apache ServerRoot
* Thu Aug 01 2002 - poeml@suse.de
- use PreReq
* Wed Jul 03 2002 - poeml@suse.de
- new package (version v3.0)
